function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { defineComponent, $prefix, $props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/tabbar-item/vue";
import Badge from "@dft-vue-2-opentiny/vue-badge";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "TabbarItem",
  componentName: "TabbarItem",
  props: _extends({}, $props, {
    dot: Boolean,
    icon: Object,
    name: [Number, String],
    badge: [Number, String],
    text: String
  }),
  components: {
    TinyBadge: Badge
  },
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _vm.state.showVm ? _c("div", {
    class: _vm.m("flex flex-1 flex-col items-center justify-center cursor-pointer my-1 mx-0.5 [&:first-of-type]:ml-1 [&:last-of-type]:mr-1"),
    style: {
      color: _vm.state.renderColor
    },
    attrs: {
      "data-tag": "tiny-tabbar-item"
    },
    on: {
      "click": _vm.onClick
    }
  }, [_c("div", {
    staticClass: "relative mt-1 pointer-events-none w-6 h-6 [&_svg]:w-6 [&_svg]:h-6",
    attrs: {
      "data-tag": "tiny-tabbar-item-icon"
    }
  }, [_vm._t("icon", [_vm.badge ? _c("tiny-badge", {
    attrs: {
      "type": "icon",
      "value": _vm.badge
    }
  }, [_c(_vm.icon, {
    tag: "component",
    class: {
      "fill-color-brand": _vm.state.renderActive
    },
    style: {
      fill: _vm.state.renderColor
    }
  })], 1) : _vm.dot ? _c("tiny-badge", {
    attrs: {
      "type": "icon",
      "is-dot": _vm.dot
    }
  }, [_c(_vm.icon, {
    tag: "component",
    class: {
      "fill-color-brand": _vm.state.renderActive
    },
    style: {
      fill: _vm.state.renderColor
    }
  })], 1) : _c(_vm.icon, {
    tag: "component",
    class: {
      "fill-color-brand": _vm.state.renderActive
    },
    style: {
      fill: _vm.state.renderColor
    }
  })], {
    "active": _vm.state.renderActive
  })], 2), _c("div", {
    class: ["my-1 pointer-events-none overflow-hidden whitespace-nowrap text-ellipsis text-xs text-center leading-3", {
      "text-color-brand": _vm.state.renderActive
    }],
    style: {
      color: _vm.state.renderColor,
      width: _vm.state.itemWidth
    },
    attrs: {
      "data-tag": "tiny-tabbar-item-title"
    }
  }, [_vm._t("default", [_vm._v(_vm._s(_vm.text || _vm.name))])], 2)]) : _vm._e();
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
